# Update Account Service Principal

`PUT /api/2.0/accounts/{account_id}/scim/v2/ServicePrincipals/{id}`

Updates the details of a single service principal.

 This action replaces the existing service principal with the same name.

API scopes: scim

## Path parameters

- `id` (string, optional)
  <Databricks> service principal ID.
- `account_id` (string, optional)
  <Databricks> account ID

## Request body

- `active` (boolean, optional)
  If this user is active
- `applicationId` (string, optional)
  UUID relating to the service principal
- `displayName` (string, optional)
  String that represents a concatenation of given and family names.
  Example: `etl-service`
- `externalId` (string, optional)
- `roles` (array of object, optional)
  Indicates if the group has the admin role.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)

## Response

```json
{}
```

